from lyse import *
from HelperClasses import DyTransition, Camera, AbsorptionImaging

absorption_imaging_transition = DyTransition.creat_Dy421()
mot_3D_camera = Camera.c11440_36u(absorption_imaging_transition['wavelength'])

with AbsorptionImaging.absorption_imaging(path, 'MOT_3D_Camera', 'in_situ_absorption',
                                          absorption_imaging_transition, mot_3D_camera, 0, 0) as absorption_image:
    # Please selecte the effective area here
    # The first tuple is the center position (x,y)
    # The second tuple is the span in x and y direction (x_span, y_span)
    absorption_image.select_effective_data((900, 600), (200, 200))
    absorption_image.get_atom_number()

    # print(absorption_image.atom_number)

